LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XUIControllerRegistration Interface Referencepublished

is used to query, register and unregister user interface controller. More...

`import"XUIControllerRegistration.idl";`

Inheritance diagram for XUIControllerRegistration:

## Public Member Functions
boolean | hasController ([in] string aCommandURL, [in] string aModelName)
| function to check if an user interface controller is registered for a command URL and optional module. More...
void | registerController ([in] string aCommandURL, [in] string aModelName, [in] string aControllerImplementationName)
| function to create an association between a user interface controller implementation and a command URL and optional module. More...
void | deregisterController ([in] string aCommandURL, [in] string aModelName)
| function to remove a previously defined association between a user interface controller implementation and a command URL and optional module. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is used to query, register and unregister user interface controller.

A user interface controller can be registered for a command URL. A certain user interface controller will be created when a user interface element contains a registered command URL.

See also
  PopupMenuControllerFactory

Since
  OOo 2.0

## Member Function Documentation

## ◆ deregisterController()

void deregisterController | ( | [in] string | aCommandURL,
|  | [in] string | aModelName
| ) |  |

function to remove a previously defined association between a user interface controller implementation and a command URL and optional module.

Parameters

  aCommandURL | a command URL which specifies an action which should be associated with a user interface controller.
  aModelName | an optional name of an OpenOffice model service. This value can remain empty if no model service name was specified.

## ◆ hasController()

boolean hasController | ( | [in] string | aCommandURL,
|  | [in] string | aModelName
| ) |  |

function to check if an user interface controller is registered for a command URL and optional module.

Returns
  true if a controller was registered for the combination of command URL and model name.

Parameters

  aCommandURL | a command URL which specifies an action.
  aModelName | an optional name of an OpenOffice model service. This value can remain empty if no model service name was specified.

## ◆ registerController()

void registerController | ( | [in] string | aCommandURL,
|  | [in] string | aModelName,
|  | [in] string | aControllerImplementationName
| ) |  |

function to create an association between a user interface controller implementation and a command URL and optional module.

Parameters

  aCommandURL | a command URL which specifies an action which should be associated with a user interface controller.
  aModelName | an optional name of an OpenOffice model service. This value can remain empty if no model service name was specified.
  aControllerImplementationName | a UNO implementation name that can be used to create a user interface controller with the OpenOffice service manager.

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XUIControllerRegistration.idl